Bug 1862432 - prometheus-adapter is missing a service monitor
Summary: prometheus-adapter is missing a service monitor
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.6.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-31 12:33 UTC by Sergiusz Urbaniak
Modified: 2020-09-14 03:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 921 None closed Bug 1862432: unmask prometheus-adapter service monitor 2020-09-14 01:43:12 UTC

Description Sergiusz Urbaniak 2020-07-31 12:33:34 UTC
prometheus-adapter is currently only being monitored via means of availability in the api service Kubernetes registry.

We miss a proper service monitor. Additionally we could gain insights in the future.

It was contributed upstream https://github.com/coreos/kube-prometheus/pull/622 and we should enable it downstream too.

Comment 1 Sergiusz Urbaniak 2020-07-31 13:30:21 UTC
This was just posted, there was no time to add support this sprint.

Comment 2 Sergiusz Urbaniak 2020-08-12 07:19:11 UTC
setting priority to high but severity to low. reasoning: we really want this in, preferably in 4.6. But if 4.6 ships without it nothing breaks.

Comment 3 Sergiusz Urbaniak 2020-08-21 13:46:06 UTC
UpcomingSprint: not enough time/capacity to tackle the issue this sprint.

Comment 6 Junqi Zhao 2020-09-14 03:44:49 UTC
tested with 4.6.0-0.nightly-2020-09-12-230035, prometheus-adapter servicemonitor is added, and the targets are monitored
# oc -n openshift-monitoring get servicemonitor prometheus-adapter
NAME                 AGE
prometheus-adapter   4h12m

# oc -n openshift-monitoring get ep prometheus-adapter
NAME                 ENDPOINTS                         AGE
prometheus-adapter   10.128.2.6:6443,10.131.0.5:6443   4h19m

# token=`oc sa get-token prometheus-k8s -n openshift-monitoring`
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- curl -k -H "Authorization: Bearer $token" 'https://prometheus-k8s.openshift-monitoring.svc:9091/api/v1/targets' | jq | grep -E "\"scrapePool\"|\"scrapeUrl\"|\"health\"" | grep "prometheus-adapter" -A3
        "scrapePool": "openshift-monitoring/prometheus-adapter/0",
        "scrapeUrl": "https://10.128.2.6:6443/metrics",
        "health": "up"
        "scrapePool": "openshift-monitoring/prometheus-adapter/0",
        "scrapeUrl": "https://10.131.0.5:6443/metrics",
        "health": "up"


Note You need to log in before you can comment on or make changes to this bug.